Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class Frames1_8_BackwardsCompatibilityProjectFixups

    java.lang.Object
      edu.stanford.smi.protege.util.Frames1_8_BackwardsCompatibilityProjectFixups

All Implemented Interfaces:
  Plugin, ProjectFixupPlugin, Disposable

    public class Frames1_8_BackwardsCompatibilityProjectFixups

extends Object
implements ProjectFixupPlugin

Fix backwards compatibility problems in the .pprj files. Methods in this class are called automatically when a project is loaded. As of release 1.8 there are no recent problems so we should consider removing most of this stuff.

Author:
  Ray Fergerson

Constructor Summary
`Frames1_8_BackwardsCompatibilityProjectFixups()`

Method Summary
`void` | `dispose()`
`static void` | `fix(KnowledgeBase kb)`
`void` | `fixProject(KnowledgeBase internalKB)`
`String` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Frames1_8_BackwardsCompatibilityProjectFixups

    public Frames1_8_BackwardsCompatibilityProjectFixups()

Method Detail

### fix

    public static void fix(KnowledgeBase kb)

### fixProject

    public void fixProject(KnowledgeBase internalKB)

  Specified by:
    `fixProject` in interface `ProjectFixupPlugin`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Plugin`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.